<?php
// No direct access to this file
defined('_JEXEC') or die('Restricted access');
 
// import Joomla controller library
jimport('joomla.application.component.controller');
 
/**
 * Sms Verify Component Controller
 */
class ippanelController extends JControllerLegacy
{
	/**
	 * Method to display a view.
	 *
	 * @param	boolean			If true, the view output will be cached
	 * @param	array			An array of safe url parameters and their variable types, for valid values see {@link JFilterInput::clean()}.
	 *
	 * @return	JControllerLegacy		This object to support chaining.
	 * @since	1.5
	 */
	public function display($cachable = false, $urlparams = false)
	{
		// If the user is already logged in, redirect to the profile page.
		$user = JFactory::getUser();
		// Get the document object.
		$document	= JFactory::getDocument();

		// Set the default view name and format from the Request.
		$vName	 = JRequest::getCmd('view', 'login');
		$vFormat = $document->getType();
		$lName	 = JRequest::getCmd('layout', 'default');
		$view = $this->getView($vName, $vFormat);
		if ($user->get('guest') != 1) {
			// Redirect to profile page.
			$this->setRedirect(JRoute::_('index.php?option=com_users&view=profile', false));
			return;
		}
		
		// The user is a guest, load the registration model and show the registration page.
		$model = $this->getModel('Registration');
		// Push the model into the view (as default).
		$view->setModel($model, true);
		$view->setLayout($lName);

		// Push document object into the view.
		$view->assignRef('document', $document);

		$view->display();
		
	}

}
